libsigc++: sigc::slot_iterator< T_slot > Struct Template Reference

libsigc++ 2.12.2

Public Types | Public Member Functions | Public Attributes | List of all members
sigc::slot_iterator< T_slot > Struct Template Reference
Signals

STL-style iterator for slot_list. More...

`#include <sigc++/signal.h>`

## Public Types
typedef std::ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category
typedef internal::signal_impl::iterator_type | iterator_type
typedef T_slot * | pointer
typedef T_slot & | reference
typedef std::size_t | size_type
typedef T_slot | slot_type
typedef T_slot | value_type

## Public Member Functions
| slot_iterator ()
| slot_iterator (const iterator_type & i)
bool | operator!= (const slot_iterator & other) const
reference | operator* () const
slot_iterator & | operator++ ()
slot_iterator | operator++ (int)
slot_iterator & | operator-- ()
slot_iterator | operator-- (int)
pointer | operator-> () const
bool | operator== (const slot_iterator & other) const

## Public Attributes
iterator_type | i_

## Detailed Description

template<typename T_slot>
struct sigc::slot_iterator< T_slot >

STL-style iterator for slot_list.

## Member Typedef Documentation

## ◆ difference_type

template <typename T_slot>

typedef std::ptrdiff_t sigc::slot_iterator< T_slot >::difference_type

## ◆ iterator_category

template <typename T_slot>

typedef std::bidirectional_iterator_tag sigc::slot_iterator< T_slot >::iterator_category

## ◆ iterator_type

template <typename T_slot>

typedef internal::signal_impl::iterator_type sigc::slot_iterator< T_slot >::iterator_type

## ◆ pointer

template <typename T_slot>

typedef T_slot* sigc::slot_iterator< T_slot >::pointer

## ◆ reference

template <typename T_slot>

typedef T_slot& sigc::slot_iterator< T_slot >::reference

## ◆ size_type

template <typename T_slot>

typedef std::size_t sigc::slot_iterator< T_slot >::size_type

## ◆ slot_type

template <typename T_slot>

typedef T_slot sigc::slot_iterator< T_slot >::slot_type

## ◆ value_type

template <typename T_slot>

typedef T_slot sigc::slot_iterator< T_slot >::value_type

## Constructor & Destructor Documentation

## ◆ slot_iterator() [1/2]

template <typename T_slot>

sigc::slot_iterator< T_slot >::slot_iterator | ( |  | ) |
| inline

## ◆ slot_iterator() [2/2]

template <typename T_slot>

sigc::slot_iterator< T_slot >::slot_iterator | ( | const iterator_type & | i | ) |
| inlineexplicit

## Member Function Documentation

## ◆ operator!=()

template <typename T_slot>

bool sigc::slot_iterator< T_slot >::operator!= | ( | const slot_iterator< T_slot > & | other | ) | const
| inline

## ◆ operator*()

template <typename T_slot>

reference sigc::slot_iterator< T_slot >::operator* | ( |  | ) | const
| inline

## ◆ operator++() [1/2]

template <typename T_slot>

slot_iterator & sigc::slot_iterator< T_slot >::operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template <typename T_slot>

slot_iterator sigc::slot_iterator< T_slot >::operator++ | ( | int |  | ) |
| inline

## ◆ operator--() [1/2]

template <typename T_slot>

slot_iterator & sigc::slot_iterator< T_slot >::operator-- | ( |  | ) |
| inline

## ◆ operator--() [2/2]

template <typename T_slot>

slot_iterator sigc::slot_iterator< T_slot >::operator-- | ( | int |  | ) |
| inline

## ◆ operator->()

template <typename T_slot>

pointer sigc::slot_iterator< T_slot >::operator-> | ( |  | ) | const
| inline

## ◆ operator==()

template <typename T_slot>

bool sigc::slot_iterator< T_slot >::operator== | ( | const slot_iterator< T_slot > & | other | ) | const
| inline

## Member Data Documentation

## ◆ i_

template <typename T_slot>

iterator_type sigc::slot_iterator< T_slot >::i_